Page MenuHomePhabricator
Paste P13268

Logs for Selenium/How-to/Run tests targeting MediaWiki-Docker-Dev
ActivePublic

Authored by BlessingDickson on Tue, Nov 17, 3:56 AM.
#Proof that the page was read and instructions were followed carefully to run the terminal commands
$ git clone "ssh://blessingdickson@gerrit.wikimedia.org:29418/mediawiki/core" && scp -p -P 29418 blessingdickson@gerrit.wikimedia.org:hooks/commit-msg "core/.git/hooks/"
Cloning into 'core'...
remote: Counting objects: 19057, done
remote: Finding sources: 100% (885966/885966)
remote: Getting sizes: 100% (24417/24417)
remote: Compressing objects: 100% (694720/694720)
remote: Total 885966 (delta 754400), reused 885901 (delta 754377)
Receiving objects: 100% (885966/885966), 272.47 MiB | 988.00 KiB/s, done.
Resolving deltas: 100% (754400/754400), done.
Updating files: 100% (8270/8270), done.
Received disconnect from 208.80.154.137 port 29418:2: Detected AuthTimeout after 60072/60000 ms.
Disconnected from 208.80.154.137 port 29418
$ ls core
$ cd core
~/core (master)
$ docker-compose up -d
Creating core_mediawiki_1 ... done
Creating core_mediawiki-jobrunner_1 ... done
$docker-compose exec -T mediawiki composer update
> ComposerHookHandler::onPreUpdate
Loading composer repositories with package information
Warning from https://repo.packagist.org: You are using an outdated version of Composer. Composer 2.0 is about to be released and the older 1.x releases will self-update directly to it once it is released. To avoid surprises update now to the latest 1.x version which will prompt you before self-updating to 2.x.
Updating dependencies (including require-dev)
Package operations: 117 installs, 0 updates, 0 removal
- Installing wikimedia/composer-merge-plugin (v1.4.1): Downloading (100%)
- Installing cssjanus/cssjanus (v1.3.0): Downloading (100%)
- Installing psr/http-message (1.0.1): Downloading (100%)
- Installing psr/http-client (1.0.1): Downloading (100%)
- Installing ralouphie/getallheaders (3.0.3): Downloading (100%)
- Installing guzzlehttp/psr7 (1.7.0): Downloading (100%)
- Installing guzzlehttp/promises (1.4.0): Downloading (100%)
- Installing guzzlehttp/guzzle (7.0.1): Downloading (100%)
- Installing oojs/oojs-ui (v0.40.4): Downloading (100%)
- Installing pear/pear_exception (v1.0.1): Downloading (100%)
- Installing pear/console_getopt (v1.4.3): Downloading (100%)
- Installing pear/pear-core-minimal (v1.10.10): Downloading (100%)
- Installing pear/mail (v1.4.1): Downloading (100%)
- Installing pear/mail_mime (1.10.9): Downloading (100%)
- Installing pear/net_socket (v1.2.2): Downloading (100%)
- Installing pear/net_smtp (1.9.2): Downloading (100%)
- Installing wikimedia/base-convert (v2.0.1): Downloading (100%)
- Installing wikimedia/cdb (1.4.1): Downloading (100%)
- Installing wikimedia/cldr-plural-rule-parser (v1.0.0): Downloading (100%)
- Installing pleonasm/bloom-filter (1.0.2): Downloading (100%)
- Installing wikimedia/common-passwords (0.2.0): Downloading (100%)
- Installing wikimedia/html-formatter (2.0.0): Downloading (100%)
- Installing wikimedia/at-ease (v2.0.0): Downloading (100%)
- Installing wikimedia/ip-set (2.1.0): Downloading (100%)
- Installing wikimedia/less.php (v3.0.0): Downloading (100%)
- Installing psr/log (1.1.3): Downloading (100%)
- Installing wikimedia/php-session-serializer (v1.0.7): Downloading (100%)
- Installing wikimedia/purtle (v1.0.7): Downloading (100%)
- Installing wikimedia/relpath (2.1.1): Downloading (100%)
- Installing wikimedia/running-stat (v1.2.1): Downloading (100%)
- Installing wikimedia/scoped-callback (v3.0.0): Downloading (100%)
- Installing wikimedia/assert (v0.5.0): Downloading (100%)
- Installing psr/container (1.0.0): Downloading (100%)
- Installing wikimedia/services (2.0.1): Downloading (100%)
- Installing wikimedia/utfnormal (v2.0.0): Downloading (100%)
- Installing wikimedia/wait-condition-loop (v1.0.1): Downloading (100%)
- Installing wikimedia/wrappedstring (v3.2.0): Downloading (100%)
- Installing wikimedia/timestamp (v3.0.0): Downloading (100%)
- Installing wikimedia/xmp-reader (0.7.0): Downloading (100%)
- Installing zordius/lightncandy (v1.2.5): Downloading (100%)
- Installing doctrine/event-manager (1.1.1): Downloading (100%)
- Installing doctrine/cache (1.10.2): Downloading (100%)
- Installing doctrine/dbal (2.10.4): Downloading (100%)
- Installing doctrine/sql-formatter (1.1.1): Downloading (100%)
- Installing giorgiosironi/eris (0.10.0): Downloading (100%)
- Installing squizlabs/php_codesniffer (3.5.5): Downloading (100%)
- Installing composer/spdx-licenses (1.5.4): Downloading (100%)
- Installing composer/semver (1.5.1): Downloading (100%)
- Installing mediawiki/mediawiki-codesniffer (v31.0.0): Downloading (100%)
- Installing symfony/polyfill-php80 (v1.19.0): Downloading (100%)
- Installing symfony/polyfill-intl-normalizer (v1.19.0): Downloading (100%)
- Installing symfony/polyfill-intl-grapheme (v1.19.0): Downloading (100%)
- Installing symfony/string (v5.1.7): Downloading (100%)
- Installing symfony/service-contracts (v2.2.0): Downloading (100%)
- Installing symfony/polyfill-php73 (v1.19.0): Downloading (100%)
- Installing symfony/console (v5.1.7): Downloading (100%)
- Installing sabre/event (5.1.2): Downloading (100%)
- Installing netresearch/jsonmapper (v2.1.0): Downloading (100%)
- Installing microsoft/tolerant-php-parser (v0.0.20): Downloading (100%)
- Installing phpdocumentor/reflection-common (2.2.0): Downloading (100%)
- Installing webmozart/assert (1.9.1): Downloading (100%)
- Installing phpdocumentor/type-resolver (1.4.0): Downloading (100%)
- Installing phpdocumentor/reflection-docblock (5.2.2): Downloading (100%)
- Installing felixfbecker/advanced-json-rpc (v3.1.1): Downloading (100%)
- Installing composer/xdebug-handler (1.4.4): Downloading (100%)
- Installing phan/phan (2.6.1): Downloading (100%)
- Installing mediawiki/phan-taint-check-plugin (3.0.3): Downloading (100%)
- Installing mediawiki/mediawiki-phan-config (0.10.3): Downloading (100%)
- Installing nmred/kafka-php (v0.1.5): Downloading (100%)
- Installing php-parallel-lint/php-console-color (v0.3): Downloading (100%)
- Installing php-parallel-lint/php-console-highlighter (v0.5): Downloading (100%)
- Installing php-parallel-lint/php-parallel-lint (v1.2.0): Downloading (100%)
- Installing pimple/pimple (v3.3.0): Downloading (100%)
- Installing dnoegel/php-xdg-base-dir (v0.1.1): Downloading (100%)
- Installing nikic/php-parser (v4.10.0): Downloading (100%)
- Installing symfony/var-dumper (v5.1.7): Downloading (100%)
- Installing psy/psysh (v0.10.4): Downloading (100%)
- Installing seld/jsonlint (1.7.1): Downloading (100%)
- Installing wikimedia/avro (v1.9.0): Downloading (100%)
- Installing wikimedia/testing-access-wrapper (1.0.0): Downloading (100%)
- Installing wikimedia/zest-css (1.1.3): Downloading (100%)
- Installing wikimedia/wikipeg (2.0.4): Downloading (100%)
- Installing wikimedia/remex-html (2.2.0): Downloading (100%)
- Installing wikimedia/object-factory (v2.1.0): Downloading (100%)
- Installing wikimedia/ip-utils (1.0.0): Downloading (100%)
- Installing liuggio/statsd-php-client (v1.0.18): Downloading (100%)
- Installing wikimedia/parsoid (v0.13.0-a13): Downloading (100%)
- Installing sebastian/version (2.0.1): Downloading (100%)
- Installing sebastian/type (1.1.3): Downloading (100%)
- Installing sebastian/resource-operations (2.0.1): Downloading (100%)
- Installing sebastian/recursion-context (3.0.0): Downloading (100%)
- Installing sebastian/object-reflector (1.1.1): Downloading (100%)
- Installing sebastian/object-enumerator (3.0.3): Downloading (100%)
- Installing sebastian/global-state (3.0.0): Downloading (100%)
- Installing sebastian/exporter (3.1.2): Downloading (100%)
- Installing sebastian/environment (4.2.3): Downloading (100%)
- Installing sebastian/diff (3.0.2): Downloading (100%)
- Installing sebastian/comparator (3.0.2): Downloading (100%)
- Installing phpunit/php-timer (2.1.2): Downloading (100%)
- Installing phpunit/php-text-template (1.2.1): Downloading (100%)
- Installing phpunit/php-file-iterator (2.0.2): Downloading (100%)
- Installing theseer/tokenizer (1.2.0): Downloading (100%)
- Installing sebastian/code-unit-reverse-lookup (1.0.1): Downloading (100%)
- Installing phpunit/php-token-stream (3.1.1): Downloading (100%)
- Installing phpunit/php-code-coverage (7.0.10): Downloading (100%)
- Installing doctrine/instantiator (1.3.1): Downloading (100%)
- Installing phpspec/prophecy (1.12.1): Downloading (100%)
- Installing phar-io/version (2.0.1): Downloading (100%)
- Installing phar-io/manifest (1.0.3): Downloading (100%)
- Installing myclabs/deep-copy (1.10.1): Downloading (100%)
- Installing phpunit/phpunit (8.5.8): Downloading (100%)
- Installing johnkary/phpunit-speedtrap (v3.2.0): Downloading (100%)
- Installing justinrainbow/json-schema (5.2.10): Downloading (100%)
- Installing monolog/monolog (1.25.5): Downloading (100%)
- Installing symfony/yaml (v5.0.11): Downloading (100%)
- Installing hamcrest/hamcrest-php (v2.0.1): Downloading (100%)
- Installing wmde/hamcrest-html-matchers (v0.1.1): Downloading (100%)
guzzlehttp/psr7 suggests installing laminas/laminas-httphandlerrunner (Emit PSR-7 responses)
pear/net_smtp suggests installing pear/auth_sasl (Install optionally via your project's composer.json)
doctrine/cache suggests installing alcaeus/mongo-php-adapter (Required to use legacy MongoDB driver)
giorgiosironi/eris suggests installing icomefromthenet/reverse-regex (v0.0.6.3 for the regex() Generator)
symfony/service-contracts suggests installing symfony/service-implementation
symfony/console suggests installing symfony/event-dispatcher
symfony/console suggests installing symfony/lock
symfony/console suggests installing symfony/process
phan/phan suggests installing ext-ast (Needed for parsing ASTs (unless --use-fallback-parser is used). 1.0.1+ is needed, 1.0.6+ is recommended.)
psy/psysh suggests installing ext-pdo-sqlite (The doc command requires SQLite to work.)
psy/psysh suggests installing hoa/console (A pure PHP readline implementation. You'll want this if your PHP install doesn't already support readline or libedit.)
wikimedia/parsoid suggests installing wikimedia/langconv (Provides script conversion support)
sebastian/global-state suggests installing ext-uopz (*)
phpunit/phpunit suggests installing phpunit/php-invoker (^2.0.0)
phpunit/phpunit suggests installing ext-soap (*)
monolog/monolog suggests installing graylog2/gelf-php (Allow sending log messages to a GrayLog2 server)
monolog/monolog suggests installing sentry/sentry (Allow sending log messages to a Sentry server)
monolog/monolog suggests installing doctrine/couchdb (Allow sending log messages to a CouchDB server)
monolog/monolog suggests installing ruflin/elastica (Allow sending log messages to an Elastic Search server)
monolog/monolog suggests installing php-amqplib/php-amqplib (Allow sending log messages to an AMQP server using php-amqplib)
monolog/monolog suggests installing ext-amqp (Allow sending log messages to an AMQP server (1.0+ required))
monolog/monolog suggests installing ext-mongo (Allow sending log messages to a MongoDB server)
monolog/monolog suggests installing mongodb/mongodb (Allow sending log messages to a MongoDB server via PHP Driver)
monolog/monolog suggests installing aws/aws-sdk-php (Allow sending log messages to AWS services like DynamoDB)
monolog/monolog suggests installing rollbar/rollbar (Allow sending log messages to Rollbar)
monolog/monolog suggests installing php-console/php-console (Allow sending log messages to Google Chrome)
Package phpunit/php-token-stream is abandoned, you should avoid using it. No replacement was suggested.
Writing lock file
Generating optimized autoload files
19 packages you are using are looking for funding.
Use the `composer fund` command to find out more!
> ComposerHookHandler::onPreUpdate
Loading composer repositories with package information
Warning from https://repo.packagist.org: You are using an outdated version of Composer. Composer 2.0 is about to be released and the older 1.x releases will self-update directly to it once it is released. To avoid surprises update now to the latest 1.x version which will prompt you before self-updating to 2.x.
Updating dependencies (including require-dev)
Nothing to install or update
Package phpunit/php-token-stream is abandoned, you should avoid using it. No replacement was suggested.
Generating optimized autoload files
19 packages you are using are looking for funding.
Use the `composer fund` command to find out more!
> ComposerVendorHtaccessCreator::onEvent
> ComposerVendorHtaccessCreator::onEvent
$ docker-compose exec mediawiki /bin/bash /docker/install.sh
+ php maintenance/install.php --server http://localhost:8080 --scriptpath=/w --dbtype sqlite --dbpath /var/www/html/w/cache/sqlite --lang en --pass dockerpass MediaWiki admin
PHP 7.2.31-1+0~20200514.41+debian9~1.gbpe2a56b+wmf1 is installed.
Found GD graphics library built-in. Image thumbnailing will be enabled if you enable uploads.
Found the Git version control software: /usr/bin/git.
Using server name "http://localhost".
Using server URL "http://localhost:8080/w".
Warning: Your default directory for uploads (/var/www/html/w/images/) is not checked for vulnerability to arbitrary script execution during the CLI install.
Using the PHP intl extension for Unicode normalization.
The environment has been checked. You can install MediaWiki.
Setting up database
done
Creating tables, step one
done
Creating tables, step two
Warning: MediaWiki tables seem to already exist. Skipping creation.
done
Populating default interwiki table
done
Initializing statistics
done
Generating secret keys
done
Prevent running unneeded updates
done
Restoring mediawiki services
done
Creating administrator user account
done
Creating main page with default content
done
Database was successfully set up
MediaWiki has been successfully installed. You can now visit <http://localhost:8080/w> to view your wiki. If you have questions, check out our frequently asked questions list: <https://www.mediawiki.org/wiki/Special:MyLanguage/Manual:FAQ> or use one of the support forums linked on that page.
$ git clone https://github.com/addshore/mediawiki-docker-dev.git
Cloning into 'mediawiki-docker-dev'...
remote: Enumerating objects: 178, done.
remote: Counting objects: 100% (178/178), done.
remote: Compressing objects: 100% (130/130), done.
remote: Total 1456 (delta 95), reused 104 (delta 48), pack-reused 1278
Receiving objects: 100% (1456/1456), 283.15 KiB | 240.00 KiB/s, done.
Resolving deltas: 100% (838/838), done.
$ git clone https://gerrit.wikimedia.org/r/mediawiki/core /srv/dev/git/gerrit/mediawiki
Cloning into 'mediawiki'...remote: Enumerating objects: 178, done.
remote: Counting objects: 100% (198/198), done.
remote: Compressing objects: 100% (125/125), done.
remote: Total 1467 (delta 95), reused 104 (delta 48), pack-reused 1289
Receiving objects: 100% (1467/1467), 283.15 KiB | 240.00 KiB/s, done.
Resolving deltas: 100% (938/938), done.
$ "git clone https://gerrit.wikimedia.org/r/mediawiki/skins/Vector" /srv/dev/git/gerrit/mediawiki/skins/Vector
Cloning into 'skins/Vector'...
remote: Counting objects: 5, done
remote: Total 9517 (delta 0), reused 9517 (delta 0)
Receiving objects: 100% (9517/9517), 2.50 MiB | 2.49 MiB/s, done.
Resolving deltas: 100% (7033/7033), done.
$ echo "wfLoadSkin( 'Vector' );" >> LocalSettings.php
$ ls -a
. DEVELOPERS.md img_auth.php
.. FAQ includes
.editorconfig Gruntfile.js index.php
.eslintignore HISTORY jsduck.json
.eslintrc.json INSTALL languages
.fresnel.yml LocalSettings.php load.php
.git README.md maintenance
.gitattributes RELEASE-NOTES-1.36 mw-config
.gitignore SECURITY opensearch_desc.php
.gitreview UPGRADE package-lock.json
.mailmap api.php package.json
.phan autoload.php phpunit.xml.dist
.phpcs.xml cache resources
.pipeline composer.json rest.php
.stylelintrc.json composer.local.json-sample skins
.travis.yml composer.lock tests
.vsls.json docker-compose.yml thumb.php
CODE_OF_CONDUCT.md docs thumb_handler.php
COPYING extensions vendor
CREDITS images
$ npm ci
> @ffmpeg-installer/darwin-x64@4.1.0 postinstall C:\Users\USER\core\node_modules\@ffmpeg-installer\darwin-x64
> chmod u+x ffmpeg
> @ffmpeg-installer/linux-x64@4.1.0 postinstall C:\Users\USER\core\node_modules\@ffmpeg-installer\linux-x64
> chmod u+x ffmpeg
> @ffmpeg-installer/linux-ia32@4.1.0 postinstall C:\Users\USER\core\node_modules\@ffmpeg-installer\linux-ia32
> chmod u+x ffmpeg
> @ffmpeg-installer/linux-arm64@4.1.4 postinstall C:\Users\USER\core\node_modules\@ffmpeg-installer\linux-arm64
> chmod u+x ffmpeg
> @ffmpeg-installer/linux-arm@4.1.3 postinstall C:\Users\USER\core\node_modules\@ffmpeg-installer\linux-arm
> chmod u+x ffmpeg
> fibers@4.0.3 install C:\Users\USER\core\node_modules\fibers
> node build.js || nodejs build.js
`win32-x64-72` exists; testing
Binary is fine; exiting
> sauce-connect-launcher-update@1.3.2 postinstall C:\Users\USER\core\node_modules\sauce-connect-launcher-update
> node scripts/install.js || nodejs scripts/install.js
> core-js@3.6.5 postinstall C:\Users\USER\core\node_modules\core-js
> node -e "try{require('./postinstall')}catch(e){}"
Thank you for using core-js ( https://github.com/zloirock/core-js ) for polyfilling JavaScript standard library!
The project needs your help! Please consider supporting of core-js on Open Collective or Patreon:
> https://opencollective.com/core-js
> https://www.patreon.com/zloirock
Also, the author of core-js ( https://github.com/zloirock ) is looking for a good job -)
added 1504 packages in 398.848s
$ npm run selenium
-------------------------------------------------------------------------------------------------
> @ selenium /Users/USER/core
> bash ./tests/selenium/selenium.sh
Starting ChromeDriver 87.0.4280.20 (c99e81631faa0b2a448e658c0dbd8311fb04ddbd-refs/branch-heads/4280@{#355}) on port on port 4444
Only local connections are allowed.
Please see https://chromedriver.chromium.org/security-considerations for suggestions on keeping ChromeDriver safe.
ChromeDriver was started successfully.
> @ selenium-test /Users/USER/core
> wdio ./tests/selenium/wdio.conf.js
Execution of 6 spec files started at 2020-11-17T03:33:54.214Z
(node:81230) ExperimentalWarning: The dns.promises API is experimental
(node:81230) ExperimentalWarning: The fs.promises API is experimental
[0-0] (node:81272) ExperimentalWarning: The dns.promises API is experimental
[0-0] (node:81272) ExperimentalWarning: The fs.promises API is experimental
[0-0] RUNNING in chrome - /tests/selenium/wdio-mediawiki/specs/BlankPage.js
[0-0] (node:81272) DeprecationWarning: Got: "options.rejectUnauthorized" is now deprecated, please use "options.https.rejectUnauthorized"
[0-0] (node:81272) ExperimentalWarning: Readable[Symbol.asyncIterator] is an experimental feature. This feature could change at any time
[0-0]
Screenshot location: /Users/nimda/wi0ki/core/tests/selenium/log/BlankPage-should-have-its-title-%40daily.png
[0-0] PASSED in chrome - /tests/selenium/wdio-mediawiki/specs/BlankPage.js
[0-1] (node:81683) ExperimentalWarning: The dns.promises API is experimental
[0-1] (node:81683) ExperimentalWarning: The fs.promises API is experimental
[0-1] RUNNING in chrome - /tests/selenium/specs/page.js
[0-1] (node:81683) DeprecationWarning: Got: "options.rejectUnauthorized" is now deprecated, please use "options.https.rejectUnauthorized"
[0-1] (node:81683) ExperimentalWarning: Readable[Symbol.asyncIterator] is an experimental feature. This feature could change at any time
[0-1] [17:06:37] [S] [MWBOT] Login successful: Admin@http://localhost:8080/w
[0-1]
Screenshot location: /Users/USER/core/tests/selenium/log/Page-should-be-previewable.png
[0-1]
Screenshot location: /Users/USER/tests/selenium/log/Page-should-be-creatable.png
[0-1]
Screenshot location: /Users/USER/core/tests/selenium/log/Page-should-be-re-creatable.png
[0-1]
Screenshot location: /Users/USER/core/tests/selenium/log/Page-should-be-editable-%40daily.png
[0-1]
Screenshot location: /Users/USER/core/tests/selenium/log/Page-should-have-history-%40daily.png
[0-1]
Screenshot location: /Users/USER/core/tests/selenium/log/Page-should-be-deletable.png
[0-1]
Screenshot location: /Users/USER/core/tests/selenium/log/Page-should-be-restorable.png
[0-1]
Screenshot location: /Users/USER/core/tests/selenium/log/Page-should-be-undoable.png
[0-1] PASSED in chrome - /tests/selenium/specs/page.js
[0-2] (node:83354) ExperimentalWarning: The dns.promises API is experimental
[0-2] (node:83354) ExperimentalWarning: The fs.promises API is experimental
[0-2] RUNNING in chrome - /tests/selenium/specs/rollback.js
[0-2] (node:83354) DeprecationWarning: Got: "options.rejectUnauthorized" is now deprecated, please use "options.https.rejectUnauthorized"
[0-2] (node:83354) ExperimentalWarning: Readable[Symbol.asyncIterator] is an experimental feature. This feature could change at any time
[0-2] PASSED in chrome - /tests/selenium/specs/rollback.js
[0-3] (node:83539) ExperimentalWarning: The dns.promises API is experimental
[0-3] (node:83539) ExperimentalWarning: The fs.promises API is experimental
[0-3] RUNNING in chrome - /tests/selenium/specs/specialrecentchanges.js
[0-3] (node:83539) DeprecationWarning: Got: "options.rejectUnauthorized" is now deprecated, please use "options.https.rejectUnauthorized"
[0-3] (node:83538) ExperimentalWarning: Readable[Symbol.asyncIterator] is an experimental feature. This feature could change at any time
[0-3] [17:05:46] [S] [MWBOT] Login successful: Admin@http://localhost:8080/w
[0-3]
Screenshot location: /Users/USER/core/tests/selenium/log/Special%3ARecentChanges-shows-page-creation.png
[0-3] PASSED in chrome - /tests/selenium/specs/specialrecentchanges.js
[0-4] (node:83805) ExperimentalWarning: The dns.promises API is experimental
[0-4] (node:83805) ExperimentalWarning: The fs.promises API is experimental
[0-4] RUNNING in chrome - /tests/selenium/specs/specialwatchlist.js
[0-4] (node:83805) DeprecationWarning: Got: "options.rejectUnauthorized" is now deprecated, please use "options.https.rejectUnauthorized"
[0-4] (node:83805) ExperimentalWarning: Readable[Symbol.asyncIterator] is an experimental feature. This feature could change at any time
[0-4] [17:05:59] [S] [MWBOT] Login successful: Admin@http://localhost:8080/w
[0-4]
Screenshot location: /Users/USER/core/tests/selenium/log/Special%3AWatchlist-should-show-page-with-new-edit.png
[0-4] PASSED in chrome - /tests/selenium/specs/specialwatchlist.js
[0-5] (node:84297) ExperimentalWarning: The dns.promises API is experimental
[0-5] (node:84297) ExperimentalWarning: The fs.promises API is experimental
[0-5] RUNNING in chrome - /tests/selenium/specs/user.js
[0-5] (node:84297) DeprecationWarning: Got: "options.rejectUnauthorized" is now deprecated, please use "options.https.rejectUnauthorized"
[0-5] (node:84297) ExperimentalWarning: Readable[Symbol.asyncIterator] is an experimental feature. This feature could change at any time
[0-5] [17:06:19] [S] [MWBOT] Login successful: Admin@http://localhost:8080/w
[0-5]
Screenshot location: /Users/USER/core/tests/selenium/log/User-should-be-able-to-create-account.png
[0-5]
Screenshot location: /Users/USER/core/tests/selenium/log/User-should-be-able-to-log-in-%40daily.png
[0-5] (node:84297) UnhandledPromiseRejectionWarning: Error: ENOENT: no such file or directory, open '/Users/USER/core/tests/selenium/log/rawSeleniumVideoGrabs/User--should-be-able-to-log-in-daily--CHROME--10-24-2020--18-07-20-599/0006.png'
at Object.openSync (fs.js:439:3)
at Object.writeFileSync (fs.js:1190:35)
at Video.onTestEnd (/Users/USER/wi0ki/core/node_modules/wdio-video-reporter/dist/wdio-video-reporter.js:584:19)
at Video.WDIOReporter.on.test (/Users/USER/core/node_modules/wdio-video-reporter/node_modules/@wdio/reporter/build/index.js:132:12)
at reporters.forEach.reporter (/Users/USER/core/node_modules/@wdio/runner/build/reporter.js:38:49)
at Array.forEach (<anonymous>)
at BaseReporter.emit (/Users/USER/core/node_modules/@wdio/runner/build/reporter.js:38:20)
at MochaAdapter.emit (/Users/USER/core/node_modules/@wdio/mocha-framework/build/index.js:258:19)
at /Users/USER/core/node_modules/mocha/lib/runner.js:779:14
at done (/Users/USER/core/node_modules/mocha/lib/runnable.js:314:5)
at /Users/USER/core/node_modules/mocha/lib/runnable.js:379:11
[0-5] (node:84297) UnhandledPromiseRejectionWarning: Unhandled promise rejection. This error originated either by throwing inside of an async function without a catch block, or by rejecting a promise which was not handled with .catch(). (rejection id: 1)
(node:84297) [DEP0018] DeprecationWarning: Unhandled promise rejections are deprecated. In the future, promise rejections that are not handled will terminate the Node.js process with a non-zero exit code.
[0-5] (node:84297) PromiseRejectionHandledWarning: Promise rejection was handled asynchronously (rejection id: 1)
[0-5] PASSED in chrome - /tests/selenium/specs/user.js
"dot" Reporter:
....................
Spec Files: 6 passed, 6 total (100% completed) in 00:03:11